// tycb dashboard widget mod
// Variable to store last thanks date 
$flag_last_time = '';

function thankStatModifyDashboardHeader($output) { 
    global $flag_last_time;
    $prefix = ''; 
    // Check the data 
    if ($flag_last_time != 'NA') {
        // Add the last thanks date at the beginning of the TYCB dashboard widget 
        $prefix = '<p class="ws-plugin-update">'.__('Last Thank Date', 'thankyou').' : '.mysql2date((get_option('date_format').', '.get_option('time_format')), $flag_last_time, true).'</p>';
    } 
  return $prefix.$output;
} 

function thankStatModifyDashboardRow($data) {
  global $flag_last_time;
  // Check if it is the first row 
  if ($flag_last_time=='' && $data['updated'] != '') {
    // Check the kind 
    if ($data['kind'] == 'latest_thanked') { 
      // Store the last thanks date 
      $flag_last_time = $data['updated'];
    } else { 
      $flag_last_time = 'NA';
    } 
  } 
     return $data; 
} 

// Adding hooks to TYCB dashboard 
add_filter('thanks_stat_dashboard', thankStatModifyDashboardHeader); 
add_filter('thanks_stat_dashboard_row', thankStatModifyDashboardRow);
// end of tycb dashboard widget mod
